from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class SynchronizePolicy(IntEnum):
    SERVER_IS_MASTER = auto()
    CLIENT_IS_MASTER = auto()
    NONE_IS_MASTER = auto()
